> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar membro



## OpenAPI

````yaml /es/whatsapp-api/api-reference/openapi-whatsapp.json put /v1/sending-pools/{id}/members/{memberId}
openapi: 3.0.3
info:
  title: Notifique API — WhatsApp
  description: >-
    Envíe mensajes de WhatsApp y gestione conexiones. Autentíquese con
    `Authorization: Bearer sk_live_...` o `x-api-key`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Producción
security:
  - ntfWaBearerAuth: []
  - ntfWaApiKeyHeader: []
tags:
  - name: Mensajes
    description: Enviar, listar, editar y cancelar mensajes
  - name: Instancias
    description: >-
      Registre y gestione los números de WhatsApp conectados — cada número es
      una **instancia** (el teléfono por el que entran y salen los mensajes).
  - name: Grupos
    description: Grupos (solo conexión no oficial)
  - name: Llamadas
    description: Llamar y hablar en WhatsApp (no oficial hoy; oficial pronto)
  - name: Sending pools
    description: Balanceamento de instâncias WhatsApp
paths:
  /v1/sending-pools/{id}/members/{memberId}:
    put:
      tags:
        - Sending pools
      summary: Atualizar membro
      operationId: ntfPool_updateMember
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: memberId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ntfPool_UpdateMemberResponse'
              example:
                success: true
                data: {}
      security:
        - ntfWhatsappBearerAuth: []
        - ntfWhatsappApiKeyHeader: []
components:
  schemas:
    ntfPool_UpdateMemberResponse:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - true
        data:
          type: object
          additionalProperties: true
          properties: {}
      example:
        success: true
        data: {}
  securitySchemes:
    ntfWaBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API Key no header Authorization. Exemplo: `Authorization: Bearer
        sk_live_xxxxx`
    ntfWaApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key no header x-api-key.

````